﻿using GarmentFactoryContracts.BindingModels;
using GarmentFactoryContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GarmentFactoryContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportTextileComponentViewModel> GetTextileComponents();

        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        void SaveTextilesToWordFile(ReportBindingModel model);

        void SaveTextileComponentToExcelFile(ReportBindingModel model);

        void SaveOrdersToPdfFile(ReportBindingModel model);

    }
}
