﻿using GarmentFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GarmentFactoryContracts.ViewModels
{
    public class TextileViewModel : ITextileModel
    {
        public int Id { get; set; }
        [DisplayName("Название текстиля")]
        public string TextileName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> TextileComponents { get; set; } = new();
    }
}
